Package org.apache.sling.distribution.queue.impl.resource

## Class ActiveResourceQueue

- java.lang.Object
- - org.apache.sling.distribution.queue.impl.resource.ResourceQueue
  - - org.apache.sling.distribution.queue.impl.resource.ActiveResourceQueue

All Implemented Interfaces:
  `DistributionQueue`

    public class ActiveResourceQueue
    extends ResourceQueue

### Field Summary

### Fields inherited from class org.apache.sling.distribution.queue.impl.resource.ResourceQueue

`queueName, queueRootPath, resolverFactory, serviceName`

### Constructor Summary

Constructors
`ActiveResourceQueue​(org.apache.sling.api.resource.ResourceResolverFactory resolverFactory, String serviceName, String queueName, String rootPath)`

### Method Summary

All Methods Instance Methods Concrete Methods
`@NotNull DistributionQueueStatus` `getStatus()` get the status of the queue
`void` `recordProcessingAttempt​(@NotNull DistributionQueueEntry entry)`

### Methods inherited from class org.apache.sling.distribution.queue.impl.resource.ResourceQueue

`add, clear, getEntries, getEntry, getHead, getName, getType, hasCapability, remove, remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ActiveResourceQueue

    public ActiveResourceQueue​(org.apache.sling.api.resource.ResourceResolverFactory resolverFactory,
                               String serviceName,
                               String queueName,
                               String rootPath)

### Method Detail

#### getStatus

    @NotNull
    public @NotNull DistributionQueueStatus getStatus()

Description copied from interface: `DistributionQueue`
get the status of the queue

Specified by:
  `getStatus` in interface `DistributionQueue`
Overrides:
  `getStatus` in class `ResourceQueue`
Returns:
  the queue status

#### recordProcessingAttempt

    public void recordProcessingAttempt​(@NotNull
                                        @NotNull DistributionQueueEntry entry)